// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/shaderlab_terrain/sky
{
	qer_editorimage textures/shaderlab_terrain/sky_arc_masked.tga
	q3map_sunExt 1 1 1 140 160 0 2 1
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 150 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms textures/shaderlab_terrain/env/sky 1024 -
	nopicmip
	nomipmaps
	{
		map textures/shaderlab_terrain/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_terrain/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/gloom/hw_jungle
{
	qer_editorimage env/hw_jungle/jungle_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
        surfaceparm nodlight
	surfaceparm nomarks
        nopicmip
	nomipmaps
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
        q3map_skylight 100 3
	q3map_sunExt 0.14902 0.286275 0.25490 100 100 20 3 16
	skyparms env/hw_jungle/jungle - -
}

textures/gloom/torchflame
{
	qer_editorimage	textures/gloom/flame1_editor.tga
	qer_alphafunc greater 0.5
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	polygonOffset
	qer_trans 0.99
	cull none
        nomipmaps
	{
		animMap 10 textures/gloom/flame1.tga textures/gloom/flame2.tga textures/gloom/flame3.tga textures/gloom/flame4.tga textures/gloom/flame5.tga textures/gloom/flame6.tga textures/gloom/flame7.tga textures/gloom/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/gloom/flame2.tga textures/gloom/flame3.tga textures/gloom/flame4.tga textures/gloom/flame5.tga textures/gloom/flame6.tga textures/gloom/flame7.tga textures/gloom/flame8.tga textures/gloom/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/gloom/wood1toplit
{
	qer_editorimage	textures/gloom/wood1toplit.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	{
		map textures/gloom/wood1toplit.tga
		rgbGen vertex
	}
	{
		map textures/gloom/wood1glow.tga
		blendFunc add
		tcMod rotate -6
		rgbGen wave sin .8 .1 0 .6	
	}
	{
		map textures/gloom/wood1glow.tga
		blendFunc add
		tcMod rotate 8
	}
}

textures/gloom/ter_rockgravel
{
	qer_editorimage textures/gloom/ter_rockgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonplanar
	q3map_shadeangle 179
	{
		// Primary
		map textures/gloom/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/gloom/ter_gravel1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/ter_mudgravel
{
	qer_editorimage textures/gloom/ter_mudgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonplanar
	q3map_shadeangle 179
	{
		// Primary
		map textures/gloom/ter_mud1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/gloom/ter_gravel1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/ter_mossgravel
{
	qer_editorimage textures/gloom/ter_mossgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonplanar
	q3map_shadeangle 179
	{
		// Primary
		map textures/gloom/ter_moss1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/gloom/ter_gravel1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/rock_grey2
{
	qer_editorimage textures/gloom/rock_grey2.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gloom/rock_grey2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/ter_moss1wall
{
	qer_editorimage textures/gloom/ter_moss1wall.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gloom/ter_moss1wall.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/rock_grey2moss1
{
	qer_editorimage textures/gloom/rock_grey2moss1.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	{
		// Primary
		map textures/gloom/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/gloom/ter_moss1wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/rock_grey2vine
{
	qer_editorimage textures/gloom/rock_grey2vine.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gloom/rock_grey2vine.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/rock_grey2vine_blend
{
	qer_editorimage textures/gloom/rock_grey2vine_blend.tga
	q3map_nonplanar
	q3map_shadeAngle 179
	{
		// Primary
		map textures/gloom/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/gloom/rock_grey2vine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/gloom/vv_cavepainting_1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_1.jpg
		blendfunc filter
	}
}

textures/gloom/vv_cavepainting_2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_2.jpg
		blendfunc filter
	}
}

textures/gloom/vv_cavepainting_3
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_3.jpg
		blendfunc filter
	}
}

textures/gloom/vv_cavepainting_4
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_4.jpg
		blendfunc filter
	}
}

textures/gloom/vv_cavepainting_5
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_5.jpg
		blendfunc filter
	}
}

textures/gloom/vv_cavepainting_6
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_6.jpg
		blendfunc filter
	}
}

textures/gloom/vv_cavepainting_7
{
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
        sort 6
	nopicmip
	{
		map textures/gloom/vv_cavepainting_7.jpg
		blendfunc filter
	}
}

textures/gloom/vv_web
{
	qer_editorimage textures/gloom/vv_web.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	nopicmip 
	nomipmaps
//	deformVertexes wave 5 sin 0 .3 0 .3	
	{
		map textures/gloom/vv_web.tga
		blendfunc add
		rgbgen identity
	}
}

textures/gloom/clip_nokick
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}
// ======================================================================
// MUSHROOM
// ======================================================================
textures/gloom/mush_top01
{
	qer_editorimage textures/gloom/mush_top01.tga
	q3map_cloneShader textures/gloom/mush_back01
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

   {
		map textures/gloom/mush_top01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/gloom/mush_top01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ----------------------------------------------------------------------
textures/gloom/mush_back01
{
	qer_editorimage textures/gloom/mush_back01.tga

	q3map_invert
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

   {
		map textures/gloom/mush_back01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/gloom/mush_back01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ----------------------------------------------------------------------
textures/gloom/mush_stem01
{
	qer_editorimage textures/gloom/mush_stem01.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/gloom/mush_stem01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		tcmod Scale 2 2
	}
}
// ======================================================================
// VINE
// ======================================================================
textures/gloom/vine01
{
	qer_editorimage textures/gloom/vine01.tga
	q3map_cloneShader textures/gloom/vine01_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/gloom/vine01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/gloom/vine01_back
{
	qer_editorimage textures/gloom/vine01.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/gloom/vine01.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/gloom/vine02
{
	qer_editorimage textures/gloom/vine02.tga
	q3map_cloneShader textures/gloom/vine02_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/gloom/vine02.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/gloom/vine02_back
{
	qer_editorimage textures/gloom/vine02.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/gloom/vine02.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/gloom/vine03
{
	qer_editorimage textures/gloom/vine03.tga
	q3map_cloneShader textures/gloom/vine03_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/gloom/vine03.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/gloom/vine03_back
{
	qer_editorimage textures/gloom/vine03.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/gloom/vine03.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/gloom/vine04
{
	qer_editorimage textures/gloom/vine04.tga
	q3map_cloneShader textures/gloom/vine04_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/gloom/vine04.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/gloom/vine04_back
{
	qer_editorimage textures/gloom/vine04.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/gloom/vine04.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/gloom/vine05
{
	qer_editorimage textures/gloom/vine05.tga
	q3map_cloneShader textures/gloom/vine05_back
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/gloom/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/gloom/vine05_back
{
	qer_editorimage textures/gloom/vine05.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/gloom/vine05.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/gloom/vine06
{
	qer_editorimage textures/gloom/vine06.tga
	q3map_cloneShader textures/gloom/vine06_back
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99

	{
		map textures/gloom/vine06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/gloom/vine06_back
{
	qer_editorimage textures/gloom/vine06.tga

	q3map_invert
	q3map_vertexScale 0.75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 0.5 0 0.1
	{
		map textures/gloom/vine06.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ======================================================================
// ALPHA BRUSHES
// ======================================================================
textures/gloom/alpha_000
{
	qer_editorimage textures/gloom/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/gloom/alpha_025
{
	qer_editorimage textures/gloom/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/gloom/alpha_050
{
	qer_editorimage textures/gloom/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/gloom/alpha_075
{
	qer_editorimage textures/gloom/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/gloom/alpha_085
{
	qer_editorimage textures/gloom/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/gloom/alpha_100
{
	qer_editorimage textures/gloom/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

levelshots/ut4_gloom_b1
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_gloom_b1.tga
        }
}